#! /usr/bin/python2.4
# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Creates static a static web-site with a status report"""

import os
from optparse import OptionParser

from treepkg.web import Status

def parse_commandline():
    parser = OptionParser()
    dirname = os.path.dirname(__file__)
    parser.set_defaults(config_file=os.path.join(dirname, "treepkg.cfg"))
    parser.add_option("--config-file",
                      help=("The tree packager config file."
                            " Default treepkg.cfg"))
    return parser.parse_args()

def create_static_site(treepkg_config, destdir):
    status = Status(treepkg_config=treepkg_config)
    status.create_static_site(destdir)

def main():
    options, args = parse_commandline()
    create_static_site(options.config_file, args[0])

main()
